﻿@using EnergyMission
@Html.DevExpress().GridView(settings =>
{

    GridViewSettingsHelper.GridViewSettingsDefaults("gvSettingspersons", "Persons", Ajax, Html, ViewContext, settings);
    settings.Settings.VerticalScrollBarMode = ScrollBarMode.Visible;
    //settings.Settings.VerticalScrollableHeight = 200;
    settings.Columns.Add("EmployeeID").Caption = "Emp Id";

    settings.Columns.Add("persons").Caption = "Name";
    //settings.Columns.Add(column =>
    //{
    //    column.FieldName = "Status";
    //    column.Caption = "Verified";
    //    column.Width = 20;

    //    column.SetDataItemTemplateContent(c =>
    //    {

    //        int value = Convert.ToInt32(DataBinder.Eval(c.DataItem, "Status"));
    //        string classs = "";
    //        if (value == 0)
    //        {
    //            classs = "fa fa-long-arrow-left";


    //        }
    //        else if (value == 1)
    //        {
    //            classs = "fa fa-long-arrow-right";

    //       }

    //        else if (value == 2)
    //        {
    //            classs = "fa fa-check";
    //        }
    //        else if (value == 3)
    //        {
    //            classs = "fa fa-check";
    //        }
    //        else
    //        {
    //            classs = "fa fa-check";

    //        }
    //        ViewContext.Writer.Write(String.Format("<span class='verified'> <a herf='#'> <i class='"+classs+"' > </i></a> </span>"));
    //    });



    //});
    settings.Columns.Add(column =>
    {
        //column.FieldName = "Id";

        column.SetDataItemTemplateContent(c =>
        {
            int value = Convert.ToInt32(DataBinder.Eval(c.DataItem, "Status"));
            string classs = "";
            if (value == 0)
            {
                classs = "fa fa-long-arrow-left";


            }
            else if (value == 1)
            {
                classs = "fa fa-long-arrow-right";

            }

            else if (value == 2)
            {
                classs = "fa fa-check";
            }
            else if (value == 3)
            {
                classs = "fa fa-check";
            }
            else
            {
                classs = "fa fa-check";

            }
            ViewContext.Writer.Write(String.Format("<span class='verified'> <a herf='#'> <i class='" + classs + "' > </i></a> </span>"));
            Html.DevExpress().HyperLink(hsettings =>
            {
                hsettings.Name = c.KeyValue.ToString();
                hsettings.Properties.ClientSideEvents.Click = "function(s,e){MyFunction(" + DataBinder.Eval(c.DataItem, "Id").ToString() + " ,'');}";
                hsettings.Properties.Text = "Edit";
            }).Render();
            ViewContext.Writer.Write(

                 Ajax.ActionLink("Delete", "Delete", "Persons",
                        new
                        {
                            Id = DataBinder.Eval(c.DataItem, "Id"),
                            @style = "color:#eb4d4e"
                        },
                        new AjaxOptions
                        {
                            Confirm = "Delete this record?",
                            HttpMethod = "DELETE",
                            OnSuccess = "OnSuccess(data, 'gvSettingspersons')"
                        }) + "&nbsp;"

               );

            ViewContext.Writer.Write(String.Format("<div class='popup'> <span class='status'>Verification Status</span><ul> <li><i class='fa fa-long-arrow-left'></i> Request Verification</li><li><i class='fa fa-check Blue'></i> Varified</li><li><i class='fa fa-close red'></i> Not Varified</li></ul></div>"));



        });
    });

}).Bind(Model).GetHtml()

@*<li><i class='fa fa-long-arrow-right'></i> Awaiting Response</li>*@